Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.security.auth.callback
Class NameCallback

    java.lang.Object
      javax.security.auth.callback.NameCallback

All Implemented Interfaces:
  java.io.Serializable, Callback

    public class NameCallback

extends java.lang.Object
implements Callback, java.io.Serializable

Underlying security services instantiate and pass a `NameCallback` to the `handle` method of a `CallbackHandler` to retrieve name information.

Version:
  1.14, 12/19/03
See Also:
  `CallbackHandler`, Serialized Form

Constructor Summary
`NameCallback(java.lang.String prompt)` Construct a `NameCallback` with a prompt.
`NameCallback(java.lang.String prompt, java.lang.String defaultName)` Construct a `NameCallback` with a prompt and default name.

Method Summary
`java.lang.String` | `getDefaultName()` Get the default name.
`java.lang.String` | `getName()` Get the retrieved name.
`java.lang.String` | `getPrompt()` Get the prompt.
`void` | `setName(java.lang.String name)` Set the retrieved name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NameCallback

    public NameCallback(java.lang.String prompt)

  Construct a `NameCallback` with a prompt.

  Parameters:
    `prompt` - the prompt used to request the name.
  Throws:
    `java.lang.IllegalArgumentException` - if `prompt` is null or if `prompt` has a length of 0.

### NameCallback

    public NameCallback(java.lang.String prompt,
                        java.lang.String defaultName)

  Construct a `NameCallback` with a prompt and default name.

  Parameters:
    `prompt` - the prompt used to request the information.

    `defaultName` - the name to be used as the default name displayed with the prompt.
  Throws:
    `java.lang.IllegalArgumentException` - if `prompt` is null, if `prompt` has a length of 0, if `defaultName` is null, or if `defaultName` has a length of 0.

Method Detail

### getPrompt

    public java.lang.String getPrompt()

  Get the prompt.

  Returns:
    the prompt.

### getDefaultName

    public java.lang.String getDefaultName()

  Get the default name.

  Returns:
    the default name, or null if this `NameCallback` was not instantiated with a `defaultName`.

### setName

    public void setName(java.lang.String name)

  Set the retrieved name.

  Parameters:
    `name` - the retrieved name (which may be null).
  See Also:
    `getName()`

### getName

    public java.lang.String getName()

  Get the retrieved name.

  Returns:
    the retrieved name (which may be null)
  See Also:
    `setName(java.lang.String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD